# $Revision: 1.4 $, $Date: 2005/11/27 11:42:46 $
%define 	module	pydot
Summary:	Python interface to Graphviz's Dot language 
Summary(pl):	Pythonowy interfejs do jzyka Dot z pakietu Graphviz
Name:		python-%{module}
Version:	0.9.10
Release:	0.1
License:	MIT
Group:		Libraries/Python
Source0:	http://dkbza.org/data/%{module}-%{version}.tar.gz
# Source0-md5:	d59609a3b69b19ad018c55d765945baf
URL:		http://dkbza.org/pydot.html
BuildRequires:	python-pyparsing >= 1.2
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-pyparsing >= 1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pydot provides an interface for creating both directed and non
directed graphs from Python. Currently all attributes implemented in
the Dot language up to Graphviz 1.16 are supported.

%description -l pl
pydot udostpnia interfejs do tworzenia zarwno skierowanych jak i
nieskierowanych grafw z poziomu Pythona. Aktualnie obsuguje
wszystkie atrybuty zaimplementowane w jzyku dot do wersji Graphviza
1.16.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_scriptdir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pydot.spec,v $
Revision 1.4  2005/11/27 11:42:46  qboosh
- graphviz* are not buildrequired
- more docs

Revision 1.3  2005/11/27 11:25:44  qboosh
- descs

Revision 1.2  2005/11/26 20:21:35  djrzulf
- summary en, change license type,

Revision 1.1  2005/11/26 17:59:25  djrzulf
- new, builds
